Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82196 - orinoco_cs driver fails to load for multiple PC cards
Summary: orinoco_cs driver fails to load for multiple PC cards
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: kernel
Version: phoebe
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2003-01-19 18:09 UTC by Naba Barkakati
Modified: 2007-04-18 16:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-20 21:35:56 UTC


Attachments (Terms of Use)

Description Naba Barkakati 2003-01-19 18:09:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030115

Description of problem:
After installing Phoebe Beta 4 wireless fails to work on my Dell Inspiron 2650
with Dell TrueMobile 1150 PC card. It worked in Beta 3 when the wvlan_cs driver
was used. Now cardmgr tries to load the orinoco_cs driver, but fails.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Just boot laptop with Dell TrueMobile 11150 PC card
2.
3.
    

Actual Results:  /var/log/messages shows orinoco_cs driver fails to load

Expected Results:  Wireless Ethernet device should appear

Additional info:

cardctl ident shows:
Socket 0:
  product info: "Dell", "TrueMobile 1150 Series PC Card", "Version 01.01", ""
  manfid: 0x0156, 0x0002
  function: 6 (network)

/etc/pcmcia/config shows the following for this card:
card "Intersil PRISM2 11 Mbps Wireless Adapter"
  manfid 0x0156, 0x0002
  bind "orinoco_cs"  <- used to be "wvlan_cs" in Beta 3
                                                                                
Relevant lines from /var/log/messages:
Jan 19 11:14:19 dhcppc7 cardmgr[2165]: executing: 'modprobe hermes'
Jan 19 11:14:19 dhcppc7 cardmgr[2165]: executing: 'modprobe orinoco'
Jan 19 11:14:19 dhcppc7 kernel: ide: no cache flush required.
Jan 19 11:14:19 dhcppc7 cardmgr[2165]: +
/lib/modules/2.4.20-2.21/kernel/drivers/net/wireless/orinoco.o.gz: unresolved
symbol orinoco_proc_dev_cleanup_R86228ebcJan 19 11:14:19 dhcppc7 cardmgr[2165]:
+ /lib/modules/2.4.20-2.21/kernel/drivers/net/wireless/orinoco.o.gz: unresolved
symbol orinoco_proc_dev_init_R0132ac1e
Jan 19 11:14:19 dhcppc7 cardmgr[2165]: +
/lib/modules/2.4.20-2.21/kernel/drivers/net/wireless/orinoco.o.gz: insmod
/lib/modules/2.4.20-2.21/kernel/drivers/net/wireless/orinoco.o.gz failed
Jan 19 11:14:19 dhcppc7 cardmgr[2165]: +
/lib/modules/2.4.20-2.21/kernel/drivers/net/wireless/orinoco.o.gz: insmod
orinoco failed

Comment 1 Nitin Dahyabhai 2003-01-19 23:33:06 UTC
Identical errors with the following card:
  product info: "Sony Corporation", "PCWA-C150", "Version 01.01", ""
  manfid: 0x0156, 0x0002
  function: 6 (network)

Works with wvlan_cs but not with orinoco_cs.

Comment 2 Bill Nottingham 2003-01-20 21:35:56 UTC
Driver bug, fixed in .23


Note You need to log in before you can comment on or make changes to this bug.